INTERFACE
 SUBROUTINE ARO_GROUND_DIAG( KBL, KGPCOMP, LD_NBLOCKTOT, KLON, KST, KEND,&
 & PZS, PUN, PVN,&
 & PQS, PGZ0, PGZ0H, PT2M, PQ2M, PRH2M, PU10M, PV10M, PFCLL, PFCLN )
USE PARKIND1  ,ONLY : JPIM     ,JPRB
LOGICAL, INTENT(IN):: LD_NBLOCKTOT
INTEGER(KIND=JPIM), INTENT(IN) :: KBL
INTEGER(KIND=JPIM), INTENT(IN) :: KGPCOMP
INTEGER(KIND=JPIM), INTENT(IN) :: KLON
INTEGER(KIND=JPIM), INTENT(IN) :: KST
INTEGER(KIND=JPIM), INTENT(IN) :: KEND
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PZS
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PUN
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(IN) :: PVN
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PQS
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PGZ0
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PGZ0H
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PT2M
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PQ2M
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PRH2M
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PU10M
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PV10M
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PFCLL
REAL(KIND=JPRB), DIMENSION(KLON), INTENT(OUT) :: PFCLN
END SUBROUTINE ARO_GROUND_DIAG
END INTERFACE

